Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.1 Java API Reference 10g Release 3 (10.1.3) B25384-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.liberty.v11.ac
Class TimeSyncToken

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.liberty.v11.ac.ACElement
oracle.security.xmlsec.liberty.v11.ac.TimeSyncToken`

public class TimeSyncToken
extends ACElement

Class representing the `TimeSyncToken` element in the Liberty authentication context namespace (http://projectliberty.org/schemas/authctx/2002/05).

Since:
  1.0

Field Summary
`static java.lang.String` | `HARDWARE` The enumerated "hardware" value for the `TimeSyncToken` element's deviceType attribute.
`static java.lang.String` | `SOFTWARE` The enumerated "software" value for the `TimeSyncToken` element's deviceType attribute.

Fields inherited from class oracle.security.xmlsec.liberty.v11.ac.ACElement
`authenticationContextClass`

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`TimeSyncToken(org.w3c.dom.Document owner, AuthenticationContextStatement acs)` Creates a new `TimeSyncToken` instance in the given document with the given authentication context.
`TimeSyncToken(org.w3c.dom.Document owner, AuthenticationContextStatement acs, java.lang.String deviceType, int seedLength, boolean deviceInHand)` Creates a new `TimeSyncToken` instance in the given document with the given authentication context.
`TimeSyncToken(org.w3c.dom.Element element, AuthenticationContextStatement acs)` Creates a new `TimeSyncToken` object that wraps the given Element object.
`TimeSyncToken(org.w3c.dom.Element element, java.lang.String systemId, AuthenticationContextStatement acs)` Creates a new `TimeSyncToken` object that wraps the given Element object.

Method Summary
`java.lang.Boolean` | `getDeviceInHand()` Returns the `deviceInHand` attribute for this `TimeSuncToken` element, or `null` if none has been set.
`java.lang.String` | `getDeviceType()` Returns the `deviceType` attribute for this `TimeSuncToken` element, or `null` if none has been set.
`java.lang.Integer` | `getSeedLength()` Returns the `seedLength` attribute for this `TimeSyncToken` element, or `null` if none has been set.
`void` | `setDeviceInHand(boolean deviceInHand)` Sets the `deviceInHand` attribute for this `TimeSyncToken` element.
`void` | `setDeviceType(java.lang.String deviceType)` Sets the `DeviceType` attribute for this `TimeSyncToken` element.
`void` | `setSeedLength(int seedLength)` Sets the `seedLength` attribute for this `TimeSyncToken` element.

Methods inherited from class oracle.security.xmlsec.liberty.v11.ac.ACElement
`getAuthenticationContextClass, setAuthenticationContextClass`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HARDWARE

    public static final java.lang.String HARDWARE

  The enumerated "hardware" value for the `TimeSyncToken` element's deviceType attribute.
  See Also:
    Constant Field Values

### SOFTWARE

    public static final java.lang.String SOFTWARE

  The enumerated "software" value for the `TimeSyncToken` element's deviceType attribute.
  See Also:
    Constant Field Values

Constructor Detail

### TimeSyncToken

    public TimeSyncToken(org.w3c.dom.Element element,
                         AuthenticationContextStatement acs)

  Creates a new `TimeSyncToken` object that wraps the given Element object.
Parameters:
  `element` - The underlying `org.w3c.dom.Element` object.
  `acs` - The authentication context for the element.

### TimeSyncToken

    public TimeSyncToken(org.w3c.dom.Element element,
                         java.lang.String systemId,
                         AuthenticationContextStatement acs)

  Creates a new `TimeSyncToken` object that wraps the given Element object.
Parameters:
  `element` - The underlying `org.w3c.dom.Element` object.
  `systemId` - The URI string system ID for the `TimeSyncToken`.
  `acs` - The authentication context for the element.

### TimeSyncToken

    public TimeSyncToken(org.w3c.dom.Document owner,
                         AuthenticationContextStatement acs)

  Creates a new `TimeSyncToken` instance in the given document with the given authentication context.
Parameters:
  `owner` - The owner document for this new element.
  `acs` - The authentication context for this new element.

### TimeSyncToken

    public TimeSyncToken(org.w3c.dom.Document owner,
                         AuthenticationContextStatement acs,
                         java.lang.String deviceType,
                         int seedLength,
                         boolean deviceInHand)
                  throws AuthenticationContextException

  Creates a new `TimeSyncToken` instance in the given document with the given authentication context.
Parameters:
  `owner` - The owner document for this new element.
  `acs` - The authentication context for this new element.
  `deviceType` - The `DeviceType` attribute.
  `seedLength` - The `SeedLength` attribute.
  `deviceInHand` - The `DeviceInHand` attribute.
Throws:
  `AuthenticationContextException` - If the any of the `deviceType`, `seeLength` or `deviceInHand` values are invalid for this element's authentication context class.

Method Detail

### setDeviceType

    public void setDeviceType(java.lang.String deviceType)
                       throws AuthenticationContextException

  Sets the `DeviceType` attribute for this `TimeSyncToken` element.
  Parameters:
    `deviceType` - The attribute value.
  Throws:
    `AuthenticationContextException` - If the `deviceType` value is invalid for this element's authentication context class.

### getDeviceType

    public java.lang.String getDeviceType()

  Returns the `deviceType` attribute for this `TimeSuncToken` element, or `null` if none has been set.

### setSeedLength

    public void setSeedLength(int seedLength)
                       throws AuthenticationContextException

  Sets the `seedLength` attribute for this `TimeSyncToken` element.
  Parameters:
    `seedLength` - The attribute value.
  Throws:
    `AuthenticationContextException` - If the `seedLength` value is invalid for this element's authentication context class.

### getSeedLength

    public java.lang.Integer getSeedLength()

  Returns the `seedLength` attribute for this `TimeSyncToken` element, or `null` if none has been set.

### setDeviceInHand

    public void setDeviceInHand(boolean deviceInHand)
                         throws AuthenticationContextException

  Sets the `deviceInHand` attribute for this `TimeSyncToken` element.
  Parameters:
    `deviceInHand` - The attribute value.
  Throws:
    `AuthenticationContextException` - If the `deviceInHand` value is invalid for this element's authentication context class.

### getDeviceInHand

    public java.lang.Boolean getDeviceInHand()

  Returns the `deviceInHand` attribute for this `TimeSuncToken` element, or `null` if none has been set.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.1 Java API Reference 10g Release 3 (10.1.3) B25384-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.